tpm_setenable(8)

TPM Management - tpm_setenable

NAME
tpm_setenable - change TPM enable states

SYNOPSIS
tpm_setenable [OPTION]

DESCRIPTION

tpm_setenable reports the status of the TPM's flags regarding the enable state of the TPM. This is the default behavior and also accessible via the --status option. Requesting a report of this status prompts for the owner password. The --enable option changes the system's TPM to the enabled state (via the TPM_OwnerSetDisable API). This operation prompts for the owner password and is persistent. The --disable option (via the TPM_OwnerSetDisable API) changes the system's TPM to the disabled state. This operation prompts for the owner password and is persistent. A disabled TPM is essentially off and does not allow a tpm_takeownership to occur. The --force option overrides the owner password prompt and relies on physical presence for the operation authorization (via the TPM_PhysicalEnable and TPM_PhysicalDisable APIs). The --enable, --disable, and --status options are mutually exclusive and the last one on the command line will be carried out.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-s, --status
    Report the status of flags regarding the TPM enable states.

-e, --enable
    Make the TPM enabled. Operation is persistent and prompts for owner authorization.

-d, --disable
    Make the TPM disabled. Operation is persistent and prompts for owner authorization.

-f, --force
    Overrides the prompt for owner authorization and uses physical presence to authorize the action.

-z, --well-known
    Authenticate using 20 bytes of zeros as owner password (the default TSS Well Known Secret), instead of prompting for an owner password.

SEE ALSO

tpm_version(1), tpm_setpresence(8), tpm_takeownership(8), tpm_setactive(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>